import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import tailwindcss from '@tailwindcss/vite';
// https://vitejs.dev/config/
const isDev = process.env.NODE_ENV === 'development';

export default defineConfig({
  plugins: [react(), tailwindcss()],
  base: isDev ? '/' : './', //'/root/official/',
  optimizeDeps: {
    exclude: ['lucide-react'],
  },
});
